Subject: Re: linux-next: build failure after merge of the mm tree

From: Linus Torvalds <[email-masked]>
Date: Mon, 3 Jul 2023 19:32:46 -0700

On Mon, 3 Jul 2023 at 19:23, Stephen Rothwell <[email-masked]> wrote:
>
> After merging the origin tree, today's linux-next build (arm64 defconfig)
> failed like this:
>
> arch/arm64/mm/fault.c: In function 'do_page_fault':

Yup, SeongJae Park sent me the same report, and it just made it to
top-of-tree as commit 24be4d0b46bb ("arch/arm64/mm/fault: Fix
undeclared variable error in do_page_fault()")

This was actually an architecture I test myself, but I think UP ends
up turning off CONFIG_PER_VMA_LOCK.

I do wonder how much point there is to have a non-SMP build of
architectures like x86-64 and arm64 at all...

But I guess people still run them in qemu.

             Linus